<template>
  <div class="container">
    <div>
      <logo />
      <h1 class="title">
        sql-style-front select
      </h1>

      <template>
{{selected}}
  <v-data-table
    v-model="selected"
    :headers="headers"
    :items="books"
    :single-select="singleSelect"
    item-key="name"
    show-select
    class="elevation-1"
  >
    <template v-slot:top>
      <v-switch v-model="singleSelect" label="Single select" class="pa-3"></v-switch>
    </template>
  </v-data-table>
</template>

      <h2 class="subtitle">
        My splendiferous Nuxt.js project
      </h2>
      <div class="links">
        <a
          href="https://nuxtjs.org/"
          target="_blank"
          class="button--green"
        >
          Documentation
        </a>
        <a
          href="https://github.com/nuxt/nuxt.js"
          target="_blank"
          class="button--grey"
        >
          GitHub
        </a>
      </div>
    </div>
  </div>
</template>

<script>
import Logo from '~/components/Logo.vue'

export default {
  components: {
    Logo
  },
  
   data () {
     return{
      singleSelect: false,
      selected: [],
      headers: [
        { text: 'id', value: 'id', align: 'center' },
        { text: 'title', value: 'title' },
        { text: 'isbn', value: 'isbn' },
        { text: 'publicatonYear', value: 'publicationYear' },
        { text: 'pubid', value: 'pubid' },
      ],
    books: []
     }
   },
  
    async created() {
     await this.get()
  },
  
  methods: {
    async get() {
      this.books = []
       const response = await this.$axios.get('http://localhost:8080' + '/books')
        console.log(response)
      for (const d of response.data._embedded.books) {


        this.books.push(d)
      }
    },


}
}
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.title {
  font-family: 'Quicksand', 'Source Sans Pro', -apple-system, BlinkMacSystemFont,
    'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 100px;
  color: #35495e;
  letter-spacing: 1px;
}

.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}

.links {
  padding-top: 15px;
}
</style>
